Subject: RE: [Ltru] Submission: LTRU registry draft-06

From: "Addison Phillips" <[email-masked]>
Date: Fri, 24 Jun 2005 14:48:31 -0700

Resulting changes are in draft-07. To wit:

1. Changed the intro to 'region' as follows (slightly different from Peter's version):

<t>Region subtags are used to indicate linguistic variations associated with or appropriate to a specific country, territory, or region. Typically, a region subtag is used to indicate regional dialects or usage, or region-specific spelling conventions. A region subtag can also be used to indicate that content is expressed in a way that is appropriate for use throughout a region; for instance, Spanish content tailored to be useful throughout Latin America. </t>

2. Changed the example of 'es-419' to use the phrase I suggests:

<t hangText="Example: ">"es-419" represents Spanish ('es') appropriate to the UN-defined 
        Latin America and Caribbean region ('419').</t>

---

In other news, I modified the Section 3.7 (Initialization of the Registry). The rules are now more consistent with the creation of an Internet-Draft and actually refer to the editor of that document. Notably I broke out the Date A/Date B rules and addressed them to the editor. Then I spelled out handling of UN M.49 codes as outlined in my previous email. Finally, I moved the instructions on handling RFC 3066 registrations down so that they can refer back to the list of initial subtags.

The initial-registry draft is now referred (it is an informative reference). The example registry appendix I removed (we have the real thing to look at, why maintain two?)

The only problem with this section is that there are two sets of instructions on forwarding the initial registry. Any thoughts on which set to use?

Editor's copies, as always, on inter-locale:

http://www.inter-locale.com/ID/draft-ietf-ltru-registry-07.html
http://www.inter-locale.com/ID/draft-ietf-ltru-registry-07.txt

Addison

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Randy Presuhn
> Sent: 2005?6?24? 14:09
> To: [email-masked]
> Subject: Re: [Ltru] Submission: LTRU registry draft-06
> 
> Hi -
> 
> As a contributor...
> 
> > From: "Peter Constable" <[email-masked]>
> > To: <[email-masked]>
> > Sent: Friday, June 24, 2005 1:48 PM
> > Subject: RE: [Ltru] Submission: LTRU registry draft-06
> ...
> > I'd suggest the wording for this particular example be changed to:
> >
> > "es-419" represents Spanish ('es') that is usable throughout the
> > UN-defined Latin America and Caribbean region ('419').
> >
> > I'd also change the intro paragraph to 2.2.4:
> >
> > <proposed text>
> > Region subtags are used to indicate linguistic characteristics
> > associated with a country or geographic region. Typically, a region
> > subtag is used to indicate regional dialects or usage, or
> > region-specific spelling conventions. A region subtag can also be used
> > to indicate that content is expressed in a way that is appropriate for
> > use throughout a region; for instance, Spanish content tailored to be
> > useful throughout Latin America.
> >
> > The following rules apply to region subtags:
> > </proposed text>
> 
> Sounds good to me.
> 
> Randy
> 
> 
> 
> 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ltru

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Randy Presuhn" <[email-masked]>
Date: Fri, 24 Jun 2005 15:15:53 -0700

Hi -

As a contributor...

> From: "Addison Phillips" <[email-masked]>
> To: "Randy Presuhn" <[email-masked]>; <[email-masked]>
> Sent: Friday, June 24, 2005 2:48 PM
...
> The only problem with this section is that there are two sets
> of instructions on forwarding the initial registry. Any thoughts on which set to use?

I suggest deleting the (superfluous) paragraph:
   There MUST be a reasonable period in which the community can comment
   on the proposed initial registry, which SHALL be no less than four
   weeks in length.  At the completion of this period, the chair(s) will
   notify [email-masked] and the ltru and ietf-languages mail lists that
   the task is complete and forward the necessary materials to IANA for
   publication.

I also suggest reducing the following paragraphs

   The initial registry will be created by the LTRU working group.
   Using the instructions in this document, the working group will
   prepare an Informational RFC by creating a series of Internet-Drafts
   containing the prototype registry according to the rules in Sections
   4.2.2 and 4.2.3 and subject to IESG review as described in Section
   6.1.1 of [RFC2026].  (See [initial-registry])

   When the Internet-Draft containing the prototype registry has been
   approved by the IESG for publication as an RFC, the document will be
   forwarded to IANA, which will post the contents of the new registry
   on-line.

to:
   The initial registry provided to IANA is in [initial-registry].

Since the two documents really should go through the process as a pair,
we really don't need to burden the registry-draft with "one shot" material.
The other material about how the initial registry is created will only  be of
historical value.  It's good to have WG consensus about how we fill in the
initial registry i-d, but I don't see any great need or value in including it
in the registry draft.  It doesn't hurt, other than cluttering the document,
but if it went away, or was moved to the initial registry draft, I wouldn't object.

Randy